PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » SysClk (System Clock) » Internal High Frequency(IHO) Clock

## General Description

## Functions
void | Cy_SysClk_IhoEnable (void)
| Enables the IHO. More...
bool | Cy_SysClk_IhoIsEnabled (void)
| Reports whether or not the selected IHO is enabled. More...
void | Cy_SysClk_IhoDisable (void)
| Disables IHO. More...
void | Cy_SysClk_IhoDeepsleepEnable (void)
| Enables the IHO during deepsleep mode. More...
bool | Cy_SysClk_IhoIsDeepsleepEnabled (void)
| Reports whether or not the selected IHO is enabled during deepsleep mode. More...
void | Cy_SysClk_IhoDeepsleepDisable (void)
| Disables IHO during deepsleep mode. More...
void | Cy_SysClk_IhoSetTrim (uint32_t trimVal)
| Set the trim value for IHO. More...
uint32_t | Cy_SysClk_IhoGetTrim (void)
| Get the trim value configured for IHO. More...

## Function Documentation

## ◆ Cy_SysClk_IhoEnable()

void Cy_SysClk_IhoEnable | ( | void |  | ) |

Enables the IHO.

Note
  Call SystemCoreClockUpdate after this function calling if it affects the CLK_HF0 frequency.
  Take into account the possible platform specific clkHf (and further clocking chain links) frequency limitations while using this API.

## ◆ Cy_SysClk_IhoIsEnabled()

bool Cy_SysClk_IhoIsEnabled | ( | void |  | ) |

Reports whether or not the selected IHO is enabled.

Returns
  false = disabled
  true = enabled

## ◆ Cy_SysClk_IhoDisable()

void Cy_SysClk_IhoDisable | ( | void |  | ) |

Disables IHO.

Note
  Call SystemCoreClockUpdate after this function calling if it affects the CLK_HF0 frequency.

## ◆ Cy_SysClk_IhoDeepsleepEnable()

void Cy_SysClk_IhoDeepsleepEnable | ( | void |  | ) |

Enables the IHO during deepsleep mode.

Note
  Call SystemCoreClockUpdate after this function calling if it affects the CLK_HF0 frequency.
  This API is available for devices having CY_IP_MXS22SRSS IP.

## ◆ Cy_SysClk_IhoIsDeepsleepEnabled()

bool Cy_SysClk_IhoIsDeepsleepEnabled | ( | void |  | ) |

Reports whether or not the selected IHO is enabled during deepsleep mode.

Returns
  false = disabled
  true = enabled

Note
  This API is available for devices having CY_IP_MXS22SRSS IP.

## ◆ Cy_SysClk_IhoDeepsleepDisable()

void Cy_SysClk_IhoDeepsleepDisable | ( | void |  | ) |

Disables IHO during deepsleep mode.

Note
  Call SystemCoreClockUpdate after this function calling if it affects the CLK_HF0 frequency.
  This API is available for devices having CY_IP_MXS22SRSS IP.

## ◆ Cy_SysClk_IhoSetTrim()

void Cy_SysClk_IhoSetTrim | ( | uint32_t | trimVal | ) |

Set the trim value for IHO.

Parameters

  trimVal | Trim value to be set for IHO.

Note
  This API is available for devices having CY_IP_MXS22SRSS IP.

## ◆ Cy_SysClk_IhoGetTrim()

uint32_t Cy_SysClk_IhoGetTrim | ( | void |  | ) |

Get the trim value configured for IHO.

Returns
  Configured IHO Trim value.

Note
  This API is available for devices having CY_IP_MXS22SRSS IP.